Gecode::Int::Linear::BoolNegTraits< BoolView > Class Reference

Traits for Boolean negation view. More...

`#include <bool-int.hpp>`

## Public Types

typedef NegBoolView | NegView
| The negated view.

## Static Public Member Functions

static NegBoolView | neg (BoolView x)
| Return negated View.

## Detailed Description

Traits for Boolean negation view.

Definition at line 545 of file bool-int.hpp.

## Member Typedef Documentation

## NegView

typedef NegBoolView Gecode::Int::Linear::BoolNegTraits< BoolView >::NegView

The negated view.

Definition at line 548 of file bool-int.hpp.

## Member Function Documentation

## neg()

NegBoolView Gecode::Int::Linear::BoolNegTraits< BoolView >::neg | ( | BoolView | x | ) |

inline static

Return negated View.

Definition at line 550 of file bool-int.hpp.

The documentation for this class was generated from the following file:

- gecode/int/linear/bool-int.hpp